<template>
  <v-dialog v-model="dialog" persistent scrollable width="420">
    <v-btn slot="activator" flat icon v-tooltip:left="{html: 'Add merchant'}" class="ma-0">
      <v-icon>add_circle_outline</v-icon>
    </v-btn>

    <v-card>
      <v-card-title primary-title class="pb-0">
        <div>
          <div class="headline">Add Merchant</div>
          <!-- <div class="grey--text">A nice short caption.</div> -->
        </div>
      </v-card-title>
      <v-form method="post" @submit.prevent="createMerchant" ref="merchantForm">
        <v-card-text v-if="!created">
          <v-text-field label="Court Name" v-model="merchant['courtName']" :rules="[$rules.required]" required />
          <v-text-field label="Place" v-model="merchant['location']" :rules="[$rules.required]" required />
        </v-card-text>
        <v-card-text v-else>
          <p>Merchant has been created.</p>
        </v-card-text>
        <v-divider />
        <v-card-actions>
          <v-spacer />
          <v-btn primary flat @click="close">{{created ? 'Close' : 'Cancel'}}</v-btn>
          <v-btn primary flat type="submit" v-if="!created">Add</v-btn>
        </v-card-actions>
      </v-form>
    </v-card>
  </v-dialog>
</template>

<script>
  export default {
    name: 'add-merchant',
    data () {
      return {
        dialog: false,
        merchant: {},
        db: this.$database.ref('merchants'),
        created: false
      }
    },
    methods: {
      close () {
        this.dialog = false
        this.$refs.merchantForm.reset()
      },
      createMerchant () {
        if (this.$refs.merchantForm.validate()) {
          this.db.push(this.merchant).then(() => {
            this.created = true
            this.$refs.merchantForm.reset()
          })
        }
      }
    }
  }
</script>
